Bug 108593 - [CI][BAT] igt@drv_selftest@live_hangcheck - dmesg-fail - *ERROR* Enabling uc failed
Summary: [CI][BAT] igt@drv_selftest@live_hangcheck - dmesg-fail - *ERROR* Enabling uc ...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Robert M. Fosha
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-29 15:52 UTC by Martin Peres
Modified: 2019-08-21 13:22 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: firmware/guc


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2018-10-29 15:52:47 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5045/fi-skl-guc/igt@drv_selftest@live_hangcheck.html

<3> [371.037146] [drm:i915_gem_init_hw [i915]] *ERROR* Enabling uc failed (-110)
<3> [371.037194] [drm:i915_reset [i915]] *ERROR* Failed to initialise HW following reset (-110)
<3> [371.057507] i915/intel_hangcheck_live_selftests: igt_reset_queue failed with error -5
Comment 1 Martin Peres 2018-10-29 15:54:55 UTC
Setting the bug to HIGH because it is hit in BAT (which warrants HIGHEST), but the GUC is disabled by default (which warrants MEDIUM).
Comment 2 Jon Ewins 2019-02-15 23:58:20 UTC
Possibly due to an intermittent Gen9 guc reload issue that can requires retry workaround and that will be tested.  Otherwise, further investigation will be deferred until after upcoming update to guc version.
Comment 3 Lakshmi 2019-03-29 13:03:27 UTC
Last seen this issue CI_DRM_5446 (2 months, 1 week / 1348 runs ago)
Robert/Jon, Any updates here?
Comment 4 Jon Ewins 2019-03-29 15:46:00 UTC
Code has been implemented for the retry mechanism and is to be tested against cases of spurious load failure.
Comment 5 Chris Wilson 2019-03-30 08:06:48 UTC
commit 52b832606038c5b3cb1070e7653e4115b7942606 (HEAD -> drm-intel-next-queued, drm-intel/for-linux-next, drm-intel/drm-intel-next-queued)
Author: Robert M. Fosha <robert.m.fosha@intel.com>
Date:   Fri Mar 29 16:17:46 2019 -0700

    drm/i915/guc: Retry GuC load for all load failures
    
    Currently we only retry to load GuC firmware if the load fails due to
    timeout. On Gen9 GuC loading may fail for different reasons, not just
    hang/timeout. Direction from the GuC team is to retry for all cases of
    GuC load failure on Gen9, not just for timeout.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=108593
    Signed-off-by: Robert M. Fosha <robert.m.fosha@intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: Michal Wajdeczko <michal.wajdeczko@intel.com>
    Reviewed-by: Chris Wilson <chris@chris-wilson.co.uk>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190329231746.9129-1-robert.m.fosha@intel.com
Comment 6 CI Bug Log 2019-08-21 13:22:58 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.